|
Расположение в меню |
---|
Arch → Rebar tools → Stirrup 3D/BIM → Reinforcement tools → Stirrup |
Верстаки |
Arch, BIM |
Быстрые клавиши |
Нет |
Представлено в версии |
0.17 |
См. также |
Reinforcement, Арматура по эскизу, Спиральная арматура |
Описание
Инструмент Stirrup Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.
This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.
Применение
- Создайте элемент structure
- Выберите любую грань структуры
- Then select
Stirrup Rebar from the rebar tools
- A task panel will pop-out on the left side of the screen as shown below
- Select the desired orientation
- Give the inputs like left cover, right cover, top cover, bottom, front cover, bent angle, bent factor, rounding and diameter of the rebar
- Select the mode of distribution either amount or spacing
- If spacing is selected, a user can also opt for custom spacing
- Pick selected face is used to verify or change the face for rebar distribution
- Нажмите OK или Apply, чтобы создать арматуру
- Нажмите Cancel, чтобы выйти из панели задач
Task panel for the tool
Свойства
- ДанныеFront Cover:
Расстояние между арматурой и выбранной поверхностью.
- ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
- ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
- ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
- ДанныеTop Cover: The distance between rebar from the top face of the structure.
- ДанныеBent Angle: Bent angle defines the angle at the ends of a stirrup.
- ДанныеBent Factor: Bent Factor defines length of stirrup end.
- ДанныеAmount: The amount of rebars.
- ДанныеSpacing:Расстояние между осями каждого стержня.
Сценарии
See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.
Инструмент Stirrup Rebar можно использовать в macros и на консоли python с помощью следующей функции:
Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
- Creates a
Rebar
object from the givenstructure
, which is an Arch Structure, andfacename
, which is a face of that structure.- If no
structure
norfacename
are given, it will take the user selected face as input.
- If no
l_cover
,r_cover
,t_cover
,b_cover
, andf_cover
are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the left, right, top, bottom, and front offsets.diameter
is the diameter of the reinforcement bars inside the structure.rounding
is the parameter that determines the bending radius of the reinforcement bars as they make a loop.bentLength
andbentAngle
define the length and angle of the tip of the reinforcement loop.amount_spacing_check
if it isTrue
it will create as many reinforcement loops as given byamount_spacing_value
; if it isFalse
it will create reinforcement loops separated by the numerical value ofamount_spacing_value
.amount_spacing_value
specifies the number of reinforcement loops, or the value of the separation between them, depending onamount_spacing_check
.
Пример
import Draft, Arch, Stirrup
# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)
Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
115, 4, 8, 2, True, 10, Structure, "Face6")
Edition of the rebar
You can change the properties of the rebar with the following function:
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
Rebar
is a previously createdStirrupRebar
object.- The other parameters are the same as required by the
makeStirrup()
function. structure
andfacename
may be omitted so that the rebar stays in the original structure.
import Stirrup
Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
100, 4, 14, 8, True, 8)
Эта страница получена от https://wiki.freecad.org/Reinforcement_StirrupRebar